Skip to main content
GET
/
webhooks
List Webhooks
curl --request GET \
  --url https://api.firma.dev/functions/v1/signing-request-api/webhooks \
  --header 'Authorization: <api-key>'
import requests

url = "https://api.firma.dev/functions/v1/signing-request-api/webhooks"

headers = {"Authorization": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: '<api-key>'}};

fetch('https://api.firma.dev/functions/v1/signing-request-api/webhooks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "results": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "url": "<string>",
      "description": "<string>",
      "events": [
        "<string>"
      ],
      "enabled": true,
      "consecutive_failures": 123,
      "auto_disabled_at": "2023-11-07T05:31:56Z",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z"
    }
  ],
  "pagination": {
    "current_page": 123,
    "page_size": 123,
    "total_count": 123,
    "total_pages": 123
  }
}

Authorizations

Authorization
string
header
required

API key for authentication. Use your API key directly without any prefix (e.g., 'your-api-key'). Bearer prefix is optional but not required.

Query Parameters

page
integer
default:1

Page number

Required range: x >= 1
page_size
integer
default:50

Items per page

Required range: 1 <= x <= 200
enabled
enum<string>

Filter by enabled status (0=disabled, 1=enabled)

Available options:
0,
1
url
string

Filter by webhook URL (partial match, case-insensitive)

event
string

Filter by event type (e.g., 'signing_request.completed')

created_after
string<date-time>

Filter webhooks created after this date (ISO 8601 format)

created_before
string<date-time>

Filter webhooks created before this date (ISO 8601 format)

sort_by
enum<string>
default:created_on

Field to sort by

Available options:
url,
enabled,
created_on,
last_changed_on,
consecutive_failures
sort_order
enum<string>
default:desc

Sort order

Available options:
asc,
desc

Response

Webhooks retrieved successfully

results
object[]
pagination
object